/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.debug;

import java.io.PrintWriter;

//jivelint disable(1011) - Output on System.out or System.err.

/**
 *
 * @author Roger Karlsson
 * @since  February 18, 2002
 */
public class Assertion 
{
    public static void assertion(final boolean expr)
    {
        if (!expr)
        {
            final PrintWriter pw = new PrintWriter(System.out);
            
            System.out.println("*********************************");
            System.out.println("Assertion failed:                ");
            new Exception().printStackTrace(pw);
            System.out.println("*********************************");
            
            pw.close();
            
            throw new AssertionException();
        }
    }
    
    private static class AssertionException extends RuntimeException
    {
    }
}
